diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -8532,61 +8537,62 @@ E(ault,)-.1 E F1(bash)2.686 E F0(follo)2.686 E .186
 (cuted in a subshell en).15 F 4.432(vironment. The)-.4 F F1(DEB)4.432 E
 (UG)-.1 E F0(and)4.432 E F1(RETURN)184 714 Q F0
 (traps are normally not inherited in such cases.)2.5 E(GNU Bash 4.4)72
-768 Q(2017 June 23)148.175 E(70)197.335 E 0 Cg EP
+768 Q(2017 October 7)143.735 E(70)192.895 E 0 Cg EP
 %%Page: 71 71
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF<adad>144 84 Q F0 .4(If no ar)184 84 R .401(guments follo)-.18 F 2.901
-(wt)-.25 G .401(his option, then the positional parameters are unset.)
--2.901 F(Otherwise,)5.401 E(the positional parameters are set to the)184
-96 Q/F2 10/Times-Italic@0 SF(ar)2.5 E(g)-.37 E F0(s, e)A -.15(ve)-.25 G
-2.5(ni).15 G 2.5(fs)-2.5 G(ome of them be)-2.5 E(gin with a)-.15 E F1
-<ad>2.5 E F0(.)A F1<ad>144 108 Q F0 1.945
+SF<adad>144 84 Q F0 .401(If no ar)184 84 R .401(guments follo)-.18 F
+2.901(wt)-.25 G .401
+(his option, then the positional parameters are unset.)-2.901 F
+(Otherwise,)5.4 E(the positional parameters are set to the)184 96 Q/F2
+10/Times-Italic@0 SF(ar)2.5 E(g)-.37 E F0(s, e)A -.15(ve)-.25 G 2.5(ni)
+.15 G 2.5(fs)-2.5 G(ome of them be)-2.5 E(gin with a)-.15 E F1<ad>2.5 E
+F0(.)A F1<ad>144 108 Q F0 1.944
 (Signal the end of options, cause all remaining)184 108 R F2(ar)4.444 E
-(g)-.37 E F0 4.444(st)C 4.444(ob)-4.444 G 4.444(ea)-4.444 G 1.944
-(ssigned to the positional)-4.444 F 3.445(parameters. The)184 120 R F1
-<ad78>3.445 E F0(and)3.445 E F1<ad76>3.445 E F0 .945
-(options are turned of)3.445 F 3.445(f. If)-.25 F .946(there are no)
-3.445 F F2(ar)3.446 E(g)-.37 E F0 .946(s, the positional)B
+(g)-.37 E F0 4.444(st)C 4.444(ob)-4.444 G 4.445(ea)-4.444 G 1.945
+(ssigned to the positional)-4.445 F 3.446(parameters. The)184 120 R F1
+<ad78>3.446 E F0(and)3.446 E F1<ad76>3.446 E F0 .945
+(options are turned of)3.446 F 3.445(f. If)-.25 F .945(there are no)
+3.445 F F2(ar)3.445 E(g)-.37 E F0 .945(s, the positional)B
 (parameters remain unchanged.)184 132 Q .425(The options are of)144
 148.8 R 2.925(fb)-.25 G 2.925(yd)-2.925 G(ef)-2.925 E .425
 (ault unless otherwise noted.)-.1 F .425
-(Using + rather than \255 causes these options)5.425 F .177
-(to be turned of)144 160.8 R 2.677(f. The)-.25 F .178
+(Using + rather than \255 causes these options)5.425 F .178
+(to be turned of)144 160.8 R 2.678(f. The)-.25 F .178
 (options can also be speci\214ed as ar)2.678 F .178(guments to an in)
--.18 F -.2(vo)-.4 G .178(cation of the shell.).2 F(The)5.178 E .066
+-.18 F -.2(vo)-.4 G .177(cation of the shell.).2 F(The)5.177 E .066
 (current set of options may be found in)144 172.8 R F1<24ad>2.566 E F0
 5.066(.T)C .066(he return status is al)-5.066 F -.1(wa)-.1 G .066
-(ys true unless an in).1 F -.25(va)-.4 G .066(lid option).25 F
+(ys true unless an in).1 F -.25(va)-.4 G .067(lid option).25 F
 (is encountered.)144 184.8 Q F1(shift)108 201.6 Q F0([)2.5 E F2(n)A F0
-(])A .428(The positional parameters from)144 213.6 R F2(n)2.928 E F0
-.429(+1 ... are renamed to)B F1 .429($1 ....)2.929 F F0 -.15(Pa)5.429 G
-.429(rameters represented by the num-).15 F(bers)144 225.6 Q F1($#)2.583
-E F0(do)2.583 E .083(wn to)-.25 F F1($#)2.583 E F0<ad>A F2(n)A F0 .083
-(+1 are unset.)B F2(n)5.443 E F0 .083(must be a non-ne)2.823 F -.05(ga)
--.15 G(ti).05 E .382 -.15(ve n)-.25 H .082(umber less than or equal to)
-.15 F F1($#)2.582 E F0 5.082(.I)C(f)-5.082 E F2(n)2.942 E F0 .06
+(])A .429(The positional parameters from)144 213.6 R F2(n)2.929 E F0
+.429(+1 ... are renamed to)B F1 .429($1 ....)2.929 F F0 -.15(Pa)5.428 G
+.428(rameters represented by the num-).15 F(bers)144 225.6 Q F1($#)2.582
+E F0(do)2.582 E .082(wn to)-.25 F F1($#)2.582 E F0<ad>A F2(n)A F0 .082
+(+1 are unset.)B F2(n)5.442 E F0 .082(must be a non-ne)2.822 F -.05(ga)
+-.15 G(ti).05 E .383 -.15(ve n)-.25 H .083(umber less than or equal to)
+.15 F F1($#)2.583 E F0 5.083(.I)C(f)-5.083 E F2(n)2.943 E F0 .06
 (is 0, no parameters are changed.)144 237.6 R(If)5.06 E F2(n)2.92 E F0
 .06(is not gi)2.8 F -.15(ve)-.25 G .06(n, it is assumed to be 1.).15 F
 (If)5.06 E F2(n)2.92 E F0 .06(is greater than)2.8 F F1($#)2.56 E F0 2.56
-(,t)C(he)-2.56 E .144(positional parameters are not changed.)144 249.6 R
-.144(The return status is greater than zero if)5.144 F F2(n)3.003 E F0
-.143(is greater than)2.883 F F1($#)2.643 E F0
+(,t)C(he)-2.56 E .143(positional parameters are not changed.)144 249.6 R
+.144(The return status is greater than zero if)5.143 F F2(n)3.004 E F0
+.144(is greater than)2.884 F F1($#)2.644 E F0
 (or less than zero; otherwise 0.)144 261.6 Q F1(shopt)108 278.4 Q F0([)
 2.5 E F1(\255pqsu)A F0 2.5(][)C F1<ad6f>-2.5 E F0 2.5(][)C F2(optname)
--2.5 E F0(...])2.5 E -.8(To)144 290.4 S .639(ggle the v).8 F .639
+-2.5 E F0(...])2.5 E -.8(To)144 290.4 S .64(ggle the v).8 F .639
 (alues of settings controlling optional shell beha)-.25 F(vior)-.2 E
-5.639(.T)-.55 G .64(he settings can be either those)-5.639 F .375
-(listed belo)144 302.4 R 1.675 -.65(w, o)-.25 H 1.175 -.4(r, i).65 H
-2.875(ft).4 G(he)-2.875 E F1<ad6f>2.875 E F0 .375
+5.639(.T)-.55 G .639(he settings can be either those)-5.639 F .374
+(listed belo)144 302.4 R 1.674 -.65(w, o)-.25 H 1.174 -.4(r, i).65 H
+2.874(ft).4 G(he)-2.874 E F1<ad6f>2.874 E F0 .375
 (option is used, those a)2.875 F -.25(va)-.2 G .375(ilable with the).25
-F F1<ad6f>2.875 E F0 .374(option to the)2.875 F F1(set)2.874 E F0 -.2
-(bu)2.874 G .374(iltin com-).2 F 3.325(mand. W)144 314.4 R .825
-(ith no options, or with the)-.4 F F1<ad70>3.325 E F0 .826
-(option, a list of all settable options is displayed, with an)3.325 F
+F F1<ad6f>2.875 E F0 .375(option to the)2.875 F F1(set)2.875 E F0 -.2
+(bu)2.875 G .375(iltin com-).2 F 3.326(mand. W)144 314.4 R .826
+(ith no options, or with the)-.4 F F1<ad70>3.326 E F0 .825
+(option, a list of all settable options is displayed, with an)3.326 F
 .945(indication of whether or not each is set.)144 326.4 R(The)5.945 E
 F1<ad70>3.445 E F0 .945(option causes output to be displayed in a form)
 3.445 F(that may be reused as input.)144 338.4 Q(Other options ha)5 E .3
@@ -8594,64 +8600,64 @@ F1<ad70>3.445 E F0 .945(option causes output to be displayed in a form)
 F0(Enable \(set\) each)180 350.4 Q F2(optname)2.5 E F0(.)A F1<ad75>144
 362.4 Q F0(Disable \(unset\) each)180 362.4 Q F2(optname)2.5 E F0(.)A F1
 <ad71>144 374.4 Q F0 .003(Suppresses normal output \(quiet mode\); the \
-return status indicates whether the)180 374.4 R F2(optname)2.504 E F0
-(is)2.504 E .256(set or unset.)180 386.4 R .256(If multiple)5.256 F F2
-(optname)2.756 E F0(ar)2.756 E .256(guments are gi)-.18 F -.15(ve)-.25 G
-2.756(nw).15 G(ith)-2.756 E F1<ad71>2.756 E F0 2.755(,t)C .255
-(he return status is zero if)-2.755 F(all)180 398.4 Q F2(optnames)2.5 E
+return status indicates whether the)180 374.4 R F2(optname)2.503 E F0
+(is)2.503 E .255(set or unset.)180 386.4 R .255(If multiple)5.255 F F2
+(optname)2.755 E F0(ar)2.755 E .256(guments are gi)-.18 F -.15(ve)-.25 G
+2.756(nw).15 G(ith)-2.756 E F1<ad71>2.756 E F0 2.756(,t)C .256
+(he return status is zero if)-2.756 F(all)180 398.4 Q F2(optnames)2.5 E
 F0(are enabled; non-zero otherwise.)2.5 E F1<ad6f>144 410.4 Q F0
 (Restricts the v)180 410.4 Q(alues of)-.25 E F2(optname)2.5 E F0
 (to be those de\214ned for the)2.5 E F1<ad6f>2.5 E F0(option to the)2.5
-E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E .624(If either)144 427.2 R F1
-<ad73>3.124 E F0(or)3.124 E F1<ad75>3.124 E F0 .624(is used with no)
+E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E .625(If either)144 427.2 R F1
+<ad73>3.125 E F0(or)3.124 E F1<ad75>3.124 E F0 .624(is used with no)
 3.124 F F2(optname)3.124 E F0(ar)3.124 E(guments,)-.18 E F1(shopt)3.124
-E F0(sho)3.124 E .624(ws only those options which are)-.25 F 2.234
+E F0(sho)3.124 E .624(ws only those options which are)-.25 F 2.233
 (set or unset, respecti)144 439.2 R -.15(ve)-.25 G(ly).15 E 7.234(.U)
 -.65 G 2.234(nless otherwise noted, the)-7.234 F F1(shopt)4.734 E F0
 2.234(options are disabled \(unset\) by)4.734 F(def)144 451.2 Q(ault.)
 -.1 E 1.544(The return status when listing options is zero if all)144
-468 R F2(optnames)4.044 E F0 1.545(are enabled, non-zero otherwise.)
-4.045 F .696
+468 R F2(optnames)4.044 E F0 1.544(are enabled, non-zero otherwise.)
+4.044 F .696
 (When setting or unsetting options, the return status is zero unless an)
-144 480 R F2(optname)3.196 E F0 .696(is not a v)3.196 F .695(alid shell)
+144 480 R F2(optname)3.196 E F0 .696(is not a v)3.196 F .696(alid shell)
 -.25 F(option.)144 492 Q(The list of)144 508.8 Q F1(shopt)2.5 E F0
-(options is:)2.5 E F1(autocd)144 526.8 Q F0 .199
+(options is:)2.5 E F1(autocd)144 526.8 Q F0 .2
 (If set, a command name that is the name of a directory is e)184 526.8 R
--.15(xe)-.15 G .2(cuted as if it were the ar).15 F(gu-)-.18 E
+-.15(xe)-.15 G .199(cuted as if it were the ar).15 F(gu-)-.18 E
 (ment to the)184 538.8 Q F1(cd)2.5 E F0 2.5(command. This)2.5 F
 (option is only used by interacti)2.5 E .3 -.15(ve s)-.25 H(hells.).15 E
-F1(cdable_v)144 550.8 Q(ars)-.1 E F0 .156(If set, an ar)184 562.8 R .156
-(gument to the)-.18 F F1(cd)2.656 E F0 -.2(bu)2.656 G .155
+F1(cdable_v)144 550.8 Q(ars)-.1 E F0 .155(If set, an ar)184 562.8 R .155
+(gument to the)-.18 F F1(cd)2.655 E F0 -.2(bu)2.655 G .156
 (iltin command that is not a directory is assumed to be the).2 F
 (name of a v)184 574.8 Q(ariable whose v)-.25 E
 (alue is the directory to change to.)-.25 E F1(cdspell)144 586.8 Q F0
 1.055
 (If set, minor errors in the spelling of a directory component in a)184
-586.8 R F1(cd)3.555 E F0 1.055(command will be)3.555 F 3.988
-(corrected. The)184 598.8 R 1.488(errors check)3.988 F 1.487
-(ed for are transposed characters, a missing character)-.1 F 3.987(,a)
--.4 G(nd)-3.987 E .77(one character too man)184 610.8 R 4.57 -.65(y. I)
+586.8 R F1(cd)3.555 E F0 1.055(command will be)3.555 F 3.987
+(corrected. The)184 598.8 R 1.487(errors check)3.987 F 1.487
+(ed for are transposed characters, a missing character)-.1 F 3.988(,a)
+-.4 G(nd)-3.988 E .77(one character too man)184 610.8 R 4.57 -.65(y. I)
 -.15 H 3.27(fac).65 G .77
 (orrection is found, the corrected \214lename is printed, and)-3.27 F
 (the command proceeds.)184 622.8 Q
 (This option is only used by interacti)5 E .3 -.15(ve s)-.25 H(hells.)
-.15 E F1(checkhash)144 634.8 Q F0 .737(If set,)184 646.8 R F1(bash)3.237
-E F0 .736(checks that a command found in the hash table e)3.237 F .736
+.15 E F1(checkhash)144 634.8 Q F0 .736(If set,)184 646.8 R F1(bash)3.236
+E F0 .736(checks that a command found in the hash table e)3.236 F .737
 (xists before trying to e)-.15 F -.15(xe)-.15 G(-).15 E(cute it.)184
 658.8 Q(If a hashed command no longer e)5 E
 (xists, a normal path search is performed.)-.15 E F1(checkjobs)144 670.8
-Q F0 .448(If set,)184 682.8 R F1(bash)2.948 E F0 .448
-(lists the status of an)2.948 F 2.949(ys)-.15 G .449
-(topped and running jobs before e)-2.949 F .449(xiting an interacti)-.15
-F -.15(ve)-.25 G 3.439(shell. If)184 694.8 R(an)3.439 E 3.439(yj)-.15 G
-.938(obs are running, this causes the e)-3.439 F .938
-(xit to be deferred until a second e)-.15 F .938(xit is)-.15 F 2.203
+Q F0 .449(If set,)184 682.8 R F1(bash)2.949 E F0 .449
+(lists the status of an)2.949 F 2.949(ys)-.15 G .448
+(topped and running jobs before e)-2.949 F .448(xiting an interacti)-.15
+F -.15(ve)-.25 G 3.438(shell. If)184 694.8 R(an)3.438 E 3.438(yj)-.15 G
+.938(obs are running, this causes the e)-3.438 F .938
+(xit to be deferred until a second e)-.15 F .939(xit is)-.15 F 2.203
 (attempted without an interv)184 706.8 R 2.203(ening command \(see)-.15
 F/F3 9/Times-Bold@0 SF 2.203(JOB CONTR)4.703 F(OL)-.27 E F0(abo)4.453 E
--.15(ve)-.15 G 4.703(\). The).15 F(shell)4.704 E(al)184 718.8 Q -.1(wa)
+-.15(ve)-.15 G 4.703(\). The).15 F(shell)4.703 E(al)184 718.8 Q -.1(wa)
 -.1 G(ys postpones e).1 E(xiting if an)-.15 E 2.5(yj)-.15 G
-(obs are stopped.)-2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E
-(71)197.335 E 0 Cg EP
+(obs are stopped.)-2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(71)192.895 E 0 Cg EP
 %%Page: 72 72
 %%BeginPageSetup
 BP
@@ -8666,109 +8672,110 @@ SF(checkwinsize)144 84 Q F0 1.09(If set,)184 96 R F1(bash)3.59 E F0 1.09
 /Times-Roman@0 SF(.)A F1(cmdhist)144 120 Q F0 1.202(If set,)184 120 R F1
 (bash)3.702 E F0 1.202(attempts to sa)3.702 F 1.502 -.15(ve a)-.2 H
 1.202(ll lines of a multiple-line command in the same history).15 F
-(entry)184 132 Q 6.133(.T)-.65 G 1.133(his allo)-6.133 F 1.133
-(ws easy re-editing of multi-line commands.)-.25 F 1.132
-(This option is enabled by)6.132 F(def)184 144 Q .613(ault, b)-.1 F .613
-(ut only has an ef)-.2 F .614
-(fect if command history is enabled, as described abo)-.25 F .914 -.15
+(entry)184 132 Q 6.132(.T)-.65 G 1.132(his allo)-6.132 F 1.132
+(ws easy re-editing of multi-line commands.)-.25 F 1.133
+(This option is enabled by)6.133 F(def)184 144 Q .614(ault, b)-.1 F .614
+(ut only has an ef)-.2 F .613
+(fect if command history is enabled, as described abo)-.25 F .913 -.15
 (ve u)-.15 H(nder).15 E F2(HIST)184 156 Q(OR)-.162 E(Y)-.315 E F3(.)A F1
-(compat31)144 168 Q F0 .42(If set,)184 180 R F1(bash)2.92 E F0 .42
-(changes its beha)2.92 F .419(vior to that of v)-.2 F .419
-(ersion 3.1 with respect to quoted ar)-.15 F(guments)-.18 E .461(to the)
-184 192 R F1([[)2.961 E F0 .462(conditional command')2.962 F(s)-.55 E F1
+(compat31)144 168 Q F0 .419(If set,)184 180 R F1(bash)2.919 E F0 .419
+(changes its beha)2.919 F .419(vior to that of v)-.2 F .42
+(ersion 3.1 with respect to quoted ar)-.15 F(guments)-.18 E .462(to the)
+184 192 R F1([[)2.962 E F0 .462(conditional command')2.962 F(s)-.55 E F1
 (=~)2.962 E F0 .462
 (operator and locale-speci\214c string comparison when)2.962 F .71
 (using the)184 204 R F1([[)3.21 E F0 .71(conditional command')3.21 F(s)
 -.55 E F1(<)3.21 E F0(and)3.21 E F1(>)3.21 E F0 3.21(operators. Bash)
-3.21 F -.15(ve)3.21 G .71(rsions prior to bash-4.1).15 F .82
+3.21 F -.15(ve)3.21 G .71(rsions prior to bash-4.1).15 F .821
 (use ASCII collation and)184 216 R/F4 10/Times-Italic@0 SF(str)3.321 E
 (cmp)-.37 E F0 .821(\(3\); bash-4.1 and later use the current locale')
-.19 F 3.321(sc)-.55 G(ollation)-3.321 E(sequence and)184 228 Q F4(str)
-2.5 E(coll)-.37 E F0(\(3\).).51 E F1(compat32)144 240 Q F0 1.41(If set,)
-184 252 R F1(bash)3.91 E F0 1.41(changes its beha)3.91 F 1.409
-(vior to that of v)-.2 F 1.409
-(ersion 3.2 with respect to locale-speci\214c)-.15 F .422
+.19 F 3.32(sc)-.55 G(ollation)-3.32 E(sequence and)184 228 Q F4(str)2.5
+E(coll)-.37 E F0(\(3\).).51 E F1(compat32)144 240 Q F0 1.409(If set,)184
+252 R F1(bash)3.909 E F0 1.409(changes its beha)3.909 F 1.409
+(vior to that of v)-.2 F 1.41
+(ersion 3.2 with respect to locale-speci\214c)-.15 F .423
 (string comparison when using the)184 264 R F1([[)2.922 E F0 .422
 (conditional command')2.922 F(s)-.55 E F1(<)2.922 E F0(and)2.922 E F1(>)
-2.923 E F0 .423(operators \(see pre-)2.923 F .481
+2.922 E F0 .422(operators \(see pre-)2.922 F .48
 (vious item\) and the ef)184 276 R .481
-(fect of interrupting a command list.)-.25 F .48(Bash v)5.481 F .48
+(fect of interrupting a command list.)-.25 F .481(Bash v)5.481 F .481
 (ersions 3.2 and earlier)-.15 F(continue with the ne)184 288 Q
 (xt command in the list after one terminates due to an interrupt.)-.15 E
-F1(compat40)144 300 Q F0 1.409(If set,)184 312 R F1(bash)3.909 E F0
-1.409(changes its beha)3.909 F 1.409(vior to that of v)-.2 F 1.41
-(ersion 4.0 with respect to locale-speci\214c)-.15 F 2.008
-(string comparison when using the)184 324 R F1([[)4.508 E F0 2.007
-(conditional command')4.508 F(s)-.55 E F1(<)4.507 E F0(and)4.507 E F1(>)
-4.507 E F0 2.007(operators \(see)4.507 F .769(description of)184 336 R
-F1(compat31)3.269 E F0 3.269(\)a)C .769(nd the ef)-3.269 F .769
-(fect of interrupting a command list.)-.25 F .77(Bash v)5.77 F(ersions)
--.15 E .087(4.0 and later interrupt the list as if the shell recei)184
-348 R -.15(ve)-.25 G 2.586(dt).15 G .086(he interrupt; pre)-2.586 F .086
-(vious v)-.25 F .086(ersions con-)-.15 F(tinue with the ne)184 360 Q
-(xt command in the list.)-.15 E F1(compat41)144 372 Q F0 1.483(If set,)
-184 384 R F1(bash)3.983 E F0 3.983(,w)C 1.483(hen in)-3.983 F F4(posix)
-3.983 E F0 1.484
-(mode, treats a single quote in a double-quoted parameter)3.983 F -.15
-(ex)184 396 S .959(pansion as a special character).15 F 5.959(.T)-.55 G
-.958(he single quotes must match \(an e)-5.959 F -.15(ve)-.25 G 3.458
-(nn).15 G .958(umber\) and)-3.458 F .59
+F1(compat40)144 300 Q F0 1.41(If set,)184 312 R F1(bash)3.91 E F0 1.41
+(changes its beha)3.91 F 1.409(vior to that of v)-.2 F 1.409
+(ersion 4.0 with respect to locale-speci\214c)-.15 F 2.007
+(string comparison when using the)184 324 R F1([[)4.507 E F0 2.008
+(conditional command')4.507 F(s)-.55 E F1(<)4.508 E F0(and)4.508 E F1(>)
+4.508 E F0 2.008(operators \(see)4.508 F .77(description of)184 336 R F1
+(compat31)3.27 E F0 3.269(\)a)C .769(nd the ef)-3.269 F .769
+(fect of interrupting a command list.)-.25 F .769(Bash v)5.769 F
+(ersions)-.15 E .086
+(4.0 and later interrupt the list as if the shell recei)184 348 R -.15
+(ve)-.25 G 2.587(dt).15 G .087(he interrupt; pre)-2.587 F .087(vious v)
+-.25 F .087(ersions con-)-.15 F(tinue with the ne)184 360 Q
+(xt command in the list.)-.15 E F1(compat41)144 372 Q F0 1.484(If set,)
+184 384 R F1(bash)3.984 E F0 3.984(,w)C 1.484(hen in)-3.984 F F4(posix)
+3.984 E F0 1.483
+(mode, treats a single quote in a double-quoted parameter)3.984 F -.15
+(ex)184 396 S .958(pansion as a special character).15 F 5.958(.T)-.55 G
+.959(he single quotes must match \(an e)-5.958 F -.15(ve)-.25 G 3.459
+(nn).15 G .959(umber\) and)-3.459 F .59
 (the characters between the single quotes are considered quoted.)184 408
-R .59(This is the beha)5.59 F .59(vior of)-.2 F .59
+R .59(This is the beha)5.59 F .59(vior of)-.2 F .589
 (posix mode through v)184 420 R .589(ersion 4.1.)-.15 F .589(The def)
-5.589 F .589(ault bash beha)-.1 F .589(vior remains as in pre)-.2 F .589
+5.589 F .589(ault bash beha)-.1 F .589(vior remains as in pre)-.2 F .59
 (vious v)-.25 F(er)-.15 E(-)-.2 E(sions.)184 432 Q F1(compat42)144 444 Q
-F0 1.796(If set,)184 456 R F1(bash)4.296 E F0 1.796
+F0 1.797(If set,)184 456 R F1(bash)4.297 E F0 1.796
 (does not process the replacement string in the pattern substitution w)
 4.296 F(ord)-.1 E -.15(ex)184 468 S(pansion using quote remo).15 E -.25
-(va)-.15 G(l.).25 E F1(compat43)144 480 Q F0 .141(If set,)184 492 R F1
-(bash)2.641 E F0 .141(does not print a w)2.641 F .14
-(arning message if an attempt is made to use a quoted com-)-.1 F .912
-(pound array assignment as an ar)184 504 R .912(gument to)-.18 F F1
-(declar)3.413 E(e)-.18 E F0 3.413(,m)C(ak)-3.413 E .913(es w)-.1 F .913
-(ord e)-.1 F .913(xpansion errors non-)-.15 F -.1(fa)184 516 S .353
+(va)-.15 G(l.).25 E F1(compat43)144 480 Q F0 .14(If set,)184 492 R F1
+(bash)2.64 E F0 .14(does not print a w)2.64 F .141
+(arning message if an attempt is made to use a quoted com-)-.1 F .913
+(pound array assignment as an ar)184 504 R .913(gument to)-.18 F F1
+(declar)3.412 E(e)-.18 E F0 3.412(,m)C(ak)-3.412 E .912(es w)-.1 F .912
+(ord e)-.1 F .912(xpansion errors non-)-.15 F -.1(fa)184 516 S .352
 (tal errors that cause the current command to f).1 F .353(ail \(the def)
--.1 F .352(ault beha)-.1 F .352(vior is to mak)-.2 F 2.852(et)-.1 G(hem)
--2.852 E -.1(fa)184 528 S 1.057(tal errors that cause the shell to e).1
-F 1.058(xit\), and does not reset the loop state when a shell)-.15 F
-.375(function is e)184 540 R -.15(xe)-.15 G .375(cuted \(this allo).15 F
-(ws)-.25 E F1(br)2.875 E(eak)-.18 E F0(or)2.875 E F1(continue)2.875 E F0
-.374(in a shell function to af)2.875 F .374(fect loops in)-.25 F
+-.1 F .353(ault beha)-.1 F .353(vior is to mak)-.2 F 2.853(et)-.1 G(hem)
+-2.853 E -.1(fa)184 528 S 1.058(tal errors that cause the shell to e).1
+F 1.057(xit\), and does not reset the loop state when a shell)-.15 F
+.374(function is e)184 540 R -.15(xe)-.15 G .374(cuted \(this allo).15 F
+(ws)-.25 E F1(br)2.874 E(eak)-.18 E F0(or)2.875 E F1(continue)2.875 E F0
+.375(in a shell function to af)2.875 F .375(fect loops in)-.25 F
 (the caller')184 552 Q 2.5(sc)-.55 G(onte)-2.5 E(xt\).)-.15 E F1
-(complete_fullquote)144 564 Q F0 .653(If set,)184 576 R F1(bash)3.153 E
+(complete_fullquote)144 564 Q F0 .654(If set,)184 576 R F1(bash)3.153 E
 F0 .653(quotes all shell metacharacters in \214lenames and directory na\
-mes when per)3.153 F(-)-.2 E 1.525(forming completion.)184 588 R 1.524
-(If not set,)6.525 F F1(bash)4.024 E F0(remo)4.024 E -.15(ve)-.15 G
+mes when per)3.153 F(-)-.2 E 1.524(forming completion.)184 588 R 1.524
+(If not set,)6.524 F F1(bash)4.024 E F0(remo)4.024 E -.15(ve)-.15 G
 4.024(sm).15 G 1.524(etacharacters such as the dollar sign)-4.024 F
 2.667(from the set of characters that will be quoted in completed \214l\
-enames when these)184 600 R .029(metacharacters appear in shell v)184
-612 R .028(ariable references in w)-.25 F .028(ords to be completed.)-.1
-F .028(This means)5.028 F 1.072(that dollar signs in v)184 624 R 1.073
+enames when these)184 600 R .028(metacharacters appear in shell v)184
+612 R .028(ariable references in w)-.25 F .029(ords to be completed.)-.1
+F .029(This means)5.029 F 1.073(that dollar signs in v)184 624 R 1.073
 (ariable names that e)-.25 F 1.073
 (xpand to directories will not be quoted; ho)-.15 F(w-)-.25 E -2.15 -.25
-(ev e)184 636 T 1.923 -.4(r, a).25 H 1.423 -.15(ny d).4 H 1.123
+(ev e)184 636 T 1.922 -.4(r, a).25 H 1.422 -.15(ny d).4 H 1.123
 (ollar signs appearing in \214lenames will not be quoted, either).15 F
-6.123(.T)-.55 G 1.122(his is acti)-6.123 F -.15(ve)-.25 G .59
+6.123(.T)-.55 G 1.123(his is acti)-6.123 F -.15(ve)-.25 G .59
 (only when bash is using backslashes to quote completed \214lenames.)184
 648 R .59(This v)5.59 F .59(ariable is set)-.25 F(by def)184 660 Q
 (ault, which is the def)-.1 E(ault bash beha)-.1 E(vior in v)-.2 E
-(ersions through 4.2.)-.15 E F1(dir)144 672 Q(expand)-.18 E F0 .487
-(If set,)184 684 R F1(bash)2.987 E F0 .486
+(ersions through 4.2.)-.15 E F1(dir)144 672 Q(expand)-.18 E F0 .486
+(If set,)184 684 R F1(bash)2.986 E F0 .486
 (replaces directory names with the results of w)2.986 F .486(ord e)-.1 F
-.486(xpansion when perform-)-.15 F .179(ing \214lename completion.)184
-696 R .179(This changes the contents of the readline editing b)5.179 F
-(uf)-.2 E(fer)-.25 E 5.18(.I)-.55 G 2.68(fn)-5.18 G(ot)-2.68 E(set,)184
-708 Q F1(bash)2.5 E F0(attempts to preserv)2.5 E 2.5(ew)-.15 G
-(hat the user typed.)-2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E
-(72)197.335 E 0 Cg EP
+.487(xpansion when perform-)-.15 F .18(ing \214lename completion.)184
+696 R .179(This changes the contents of the readline editing b)5.18 F
+(uf)-.2 E(fer)-.25 E 5.179(.I)-.55 G 2.679(fn)-5.179 G(ot)-2.679 E(set,)
+184 708 Q F1(bash)2.5 E F0(attempts to preserv)2.5 E 2.5(ew)-.15 G
+(hat the user typed.)-2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735
+E(72)192.895 E 0 Cg EP
 %%Page: 73 73
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
-SF(dirspell)144 84 Q F0 .859(If set,)184 84 R F1(bash)3.359 E F0 .858
-(attempts spelling correction on directory names during w)3.359 F .858
+SF(dirspell)144 84 Q F0 .858(If set,)184 84 R F1(bash)3.358 E F0 .858
+(attempts spelling correction on directory names during w)3.358 F .859
 (ord completion if)-.1 F
 (the directory name initially supplied does not e)184 96 Q(xist.)-.15 E
 F1(dotglob)144 108 Q F0 .165(If set,)184 108 R F1(bash)2.665 E F0 .165
@@ -8778,40 +8785,40 @@ F1(dotglob)144 108 Q F0 .165(If set,)184 108 R F1(bash)2.665 E F0 .165
 G(')-.08 E F0(and)5 E F1 -.63(``)2.5 G(..).63 E -.63('')-.55 G F0
 (must al)5.63 E -.1(wa)-.1 G(ys be matched e).1 E(xplicitly)-.15 E 2.5
 (,e)-.65 G -.15(ve)-2.75 G 2.5(ni).15 G(f)-2.5 E F1(dotglob)2.5 E F0
-(is set.)2.5 E F1(execfail)144 132 Q F0 1.387(If set, a non-interacti)
-184 132 R 1.687 -.15(ve s)-.25 H 1.386(hell will not e).15 F 1.386
-(xit if it cannot e)-.15 F -.15(xe)-.15 G 1.386
+(is set.)2.5 E F1(execfail)144 132 Q F0 1.386(If set, a non-interacti)
+184 132 R 1.686 -.15(ve s)-.25 H 1.386(hell will not e).15 F 1.386
+(xit if it cannot e)-.15 F -.15(xe)-.15 G 1.387
 (cute the \214le speci\214ed as an).15 F(ar)184 144 Q(gument to the)-.18
 E F1(exec)2.5 E F0 -.2(bu)2.5 G(iltin command.).2 E(An interacti)5 E .3
 -.15(ve s)-.25 H(hell does not e).15 E(xit if)-.15 E F1(exec)2.5 E F0
--.1(fa)2.5 G(ils.).1 E F1(expand_aliases)144 156 Q F0 .716
+-.1(fa)2.5 G(ils.).1 E F1(expand_aliases)144 156 Q F0 .717
 (If set, aliases are e)184 168 R .717(xpanded as described abo)-.15 F
 1.017 -.15(ve u)-.15 H(nder).15 E/F2 9/Times-Bold@0 SF(ALIASES)3.217 E
-/F3 9/Times-Roman@0 SF(.)A F0 .717(This option is enabled)5.217 F
+/F3 9/Times-Roman@0 SF(.)A F0 .716(This option is enabled)5.217 F
 (by def)184 180 Q(ault for interacti)-.1 E .3 -.15(ve s)-.25 H(hells.)
-.15 E F1(extdeb)144 192 Q(ug)-.2 E F0 .672(If set at shell in)184 204 R
--.2(vo)-.4 G .672(cation, arrange to e).2 F -.15(xe)-.15 G .671
-(cute the deb).15 F .671(ugger pro\214le before the shell starts,)-.2 F
-.22(identical to the)184 216 R F1<adad646562>2.72 E(ugger)-.2 E F0 2.721
-(option. If)2.721 F .221(set after in)2.721 F -.2(vo)-.4 G .221
-(cation, beha).2 F .221(vior intended for use by)-.2 F(deb)184 228 Q
-(uggers is enabled:)-.2 E F1(1.)184 240 Q F0(The)220 240 Q F1<ad46>4.251
-E F0 1.751(option to the)4.251 F F1(declar)4.251 E(e)-.18 E F0 -.2(bu)
+.15 E F1(extdeb)144 192 Q(ug)-.2 E F0 .671(If set at shell in)184 204 R
+-.2(vo)-.4 G .671(cation, arrange to e).2 F -.15(xe)-.15 G .671
+(cute the deb).15 F .672(ugger pro\214le before the shell starts,)-.2 F
+.221(identical to the)184 216 R F1<adad646562>2.721 E(ugger)-.2 E F0
+2.721(option. If)2.721 F .221(set after in)2.721 F -.2(vo)-.4 G .221
+(cation, beha).2 F .22(vior intended for use by)-.2 F(deb)184 228 Q
+(uggers is enabled:)-.2 E F1(1.)184 240 Q F0(The)220 240 Q F1<ad46>4.25
+E F0 1.75(option to the)4.25 F F1(declar)4.251 E(e)-.18 E F0 -.2(bu)
 4.251 G 1.751(iltin displays the source \214le name and line).2 F
 (number corresponding to each function name supplied as an ar)220 252 Q
 (gument.)-.18 E F1(2.)184 264 Q F0 1.667(If the command run by the)220
 264 R F1(DEB)4.167 E(UG)-.1 E F0 1.667(trap returns a non-zero v)4.167 F
 1.667(alue, the ne)-.25 F(xt)-.15 E(command is skipped and not e)220 276
-Q -.15(xe)-.15 G(cuted.).15 E F1(3.)184 288 Q F0 .841
-(If the command run by the)220 288 R F1(DEB)3.341 E(UG)-.1 E F0 .841
-(trap returns a v)3.341 F .84(alue of 2, and the shell is)-.25 F -.15
+Q -.15(xe)-.15 G(cuted.).15 E F1(3.)184 288 Q F0 .84
+(If the command run by the)220 288 R F1(DEB)3.34 E(UG)-.1 E F0 .841
+(trap returns a v)3.341 F .841(alue of 2, and the shell is)-.25 F -.15
 (exe)220 300 S .488
 (cuting in a subroutine \(a shell function or a shell script e).15 F
 -.15(xe)-.15 G .488(cuted by the).15 F F1(.)2.988 E F0(or)2.988 E F1
 (sour)220 312 Q(ce)-.18 E F0 -.2(bu)2.5 G
 (iltins\), the shell simulates a call to).2 E F1 -.18(re)2.5 G(tur).18 E
 (n)-.15 E F0(.)A F1(4.)184 324 Q F2 -.27(BA)220 324 S(SH_ARGC).27 E F0
-(and)3.154 E F2 -.27(BA)3.404 G(SH_ARGV).27 E F0 .904
+(and)3.153 E F2 -.27(BA)3.403 G(SH_ARGV).27 E F0 .904
 (are updated as described in their descriptions)3.154 F(abo)220 336 Q
 -.15(ve)-.15 G(.).15 E F1(5.)184 348 Q F0 1.637(Function tracing is ena\
 bled: command substitution, shell functions, and sub-)220 348 R
